Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1660480 (CVE-2018-17188) - CVE-2018-17188 couchdb: Remote Privilege Escalations
Summary: CVE-2018-17188 couchdb: Remote Privilege Escalations
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2018-17188
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1660481
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-18 12:42 UTC by Andrej Nemec
Modified: 2019-09-29 15:04 UTC (History)
1 user (show)

Fixed In Version: couchdb 2.3.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:44:11 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2018-12-18 12:42:51 UTC
Prior to CouchDB version 2.3.0, CouchDB allowed for runtime-configuration of key components of the database. In some cases, this lead to vulnerabilities where CouchDB admin users could access the underlying operating system as the CouchDB user. Together with other vulnerabilities, it allowed full system entry for unauthenticated users.

References:

https://seclists.org/oss-sec/2018/q4/255

Comment 1 Andrej Nemec 2018-12-18 12:42:59 UTC
Created couchdb tracking bugs for this issue:

Affects: fedora-all [bug 1660481]

Comment 2 Product Security DevOps Team 2019-06-10 10:44:11 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.